using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace FLY.Thick.Base.UI
{
    public static class GageCommands
    {
        static GageCommands()
        {
            scan.InputGestures.Add(new KeyGesture(Key.F1));
            org.InputGestures.Add(new KeyGesture(Key.F2));
            stop.InputGestures.Add(new KeyGesture(Key.F3));
            forward.InputGestures.Add(new KeyGesture(Key.F4));
            backward.InputGestures.Add(new KeyGesture(Key.F5));
        }
        private static RoutedCommand scan = new RoutedCommand("Scan", typeof(GageCommands));
        public static RoutedCommand Scan { get { return scan; } }

        private static RoutedCommand org = new RoutedCommand("Org", typeof(GageCommands));
        public static RoutedCommand Org { get { return org; } }

        private static RoutedCommand stop = new RoutedCommand("Stop", typeof(GageCommands));
        public static RoutedCommand Stop { get { return stop; } }

        private static RoutedCommand forward = new RoutedCommand("Forward", typeof(GageCommands));
        public static RoutedCommand Forward { get { return forward; } }

        private static RoutedCommand backward = new RoutedCommand("Backward", typeof(GageCommands));
        public static RoutedCommand Backward { get { return backward; } }
    }
}
